std::timed_mutex(3cxx)

NAME
std::timed_mutex - timed_mutex

SYNOPSIS

#include <mutex>

  Public Member Functions

timed_mutex (const timed_mutex &)=delete
void lock ()
timed_mutex & operator= (const timed_mutex &)=delete
bool try_lock ()
template<typename _Rep , typename _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void unlock ()

Detailed Description

timed_mutex

Definition at line 297 of file mutex.

Constructor & Destructor Documentation

  std::timed_mutex::~timed_mutex () [inline]

Definition at line 306 of file mutex.

Member Function Documentation

  void std::timed_mutex::lock () [inline]

Definition at line 312 of file mutex.

  bool std::timed_mutex::try_lock () [inline]

Definition at line 320 of file mutex.

  template<typename _Rep , typename _Period > bool std::timed_mutex::try_lock_for (const chrono::duration< _Rep, _Period > & __rtime) [inline]

Definition at line 331 of file mutex.

  template<typename _Clock , typename _Duration > bool std::timed_mutex::try_lock_until (const chrono::time_point< _Clock, _Duration > & __atime) [inline]

Definition at line 342 of file mutex.

  void std::timed_mutex::unlock () [inline]

Definition at line 352 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.